PANDA_NFSPAGEMODDE(3)

NAME
panda_nfspagemodde - defines display characteristics for the PDF document if it is using non fullscreen mode after defaulting to fullscreen mode

SYNOPSIS
 #include<panda/constants.h>
 #include<panda/functions.h>
 void panda_nfspagemode (panda_pdf *document, int pagemode);

DESCRIPTION

If the document in question is using fullscreen mode and then exits from fullscreen mode, then this function configures the behaviour of several of the 'eye candy' options available in some viewers. The possible values for pagemode are: panda_window_usenone, which displays neither the outline or thumbnails (if present); panda_window_useoutlines, which displays only the outline for the document; panda_window_usethumbs, which only displays thumbnails. Please note that this function will only have an effect on the viewer if the page mode has been set to fullscreen with the panda_fullscreen() function call

RETURNS

Nothing

EXAMPLE

#include<panda/constants.h> #include<panda/functions.h> panda_pdf *document; panda_init(); document = panda_open("filename.pdf", "w"); panda_nfspagemode(document, panda_window_usenone);

SEE ALSO

panda_fullscreen

VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.